Name:           perl-File-ShareDir-PAR
Version:        0.06
Release:        2%{?dist}
Summary:        File::ShareDir with PAR support
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-ShareDir-PAR/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/File-ShareDir-PAR-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Inspector) >= 1.12
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::ShareDir) >= 1.02
BuildRequires:  perl(PAR) >= 0.989
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(File::ShareDir) >= 1.02
Requires:       perl(PAR) >= 0.989

%filter_from_requires /perl(File::ShareDir)$/d
%filter_setup

%description
File::ShareDir::PAR provides the same functionality as File::ShareDir but
tries hard to be compatible with PAR packaged applications.

%prep
%setup -q -n File-ShareDir-PAR-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
rm -rf $RPM_BUILD_ROOT/blib/lib/auto/share/dist/File-ShareDir-PAR/
rm -rf $RPM_BUILD_ROOT/blib/lib/auto/share/module/File-ShareDir-PAR/test_file.txt
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/File/ShareDir
%{perl_vendorlib}/auto/share/*/File-ShareDir-PAR
%{_mandir}/man3/*

%changelog
* Wed Sep 15 2010 Petr Pisar <ppisar@redhat.com> - 0.06-2
- Add not autodetected perl(PAR) >= 0.989 (Build)Requires

* Wed Sep 15 2010 Petr Pisar <ppisar@redhat.com> - 0.06-1
- 0.06 bump
- Add versioned perl(File::ShareDir) (Build)Requires as stated by META.yml

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.05-5
- Mass rebuild with perl-5.12.0

* Thu Jan 14 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.05-4
- fix build problems

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.05-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun  3 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.05-1
- update to the latest upstream

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 05 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.03-1
- update to 0.03

* Tue Nov 18 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.02-2
- owns correct directories and check provides

* Mon Nov 03 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.02-1
- Specfile autogenerated by cpanspec 1.77.
